Skip to main content
GET
/
job
/
applications
cURL
curl --request GET \
  --url https://api.collective.work/{environment}/v1/job/applications \
  --header 'Authorization: Bearer <token>'
{
  "jobId": "cm71yqftr00000ck0bpz3hpg1",
  "applications": [
    {
      "id": "cm71yqftr00000ck0bpz3hpg1",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ],
  "internalJobId": "JOB-2024-001"
}

Authorizations

Authorization
string
header
required

API key given to you (If you don't have one, check this section)

Query Parameters

id
string
required

ID of the job to retrieve applications for (can be either the job ID or the internal job ID)

Response

Applications retrieved successfully

jobId
string
required

Unique identifier of the job posting

Example:

"cm71yqftr00000ck0bpz3hpg1"

applications
object[]
required

List of applications for the job

internalJobId
string

Internal job ID provided when job was created via API

Example:

"JOB-2024-001"